import request from '@/utils/request'

// 查询班组信息列表
export function listBaseTeamMembers(query) {
  return request({
    url: '/mes/base/baseTeamMembers/list',
    method: 'get',
    params: query
  })
}

// 查询班组信息详细
export function getBaseTeamMembers(objId) {
  return request({
    url: '/mes/base/baseTeamMembers/' + objId,
    method: 'get'
  })
}

// 新增班组信息
export function addBaseTeamMembers(data) {
  return request({
    url: '/mes/base/baseTeamMembers',
    method: 'post',
    data: data
  })
}

// 修改班组信息
export function updateBaseTeamMembers(data) {
  return request({
    url: '/mes/base/baseTeamMembers',
    method: 'put',
    data: data
  })
}

// 删除班组信息
export function delBaseTeamMembers(objId) {
  return request({
    url: '/mes/base/baseTeamMembers/' + objId,
    method: 'delete'
  })
}

// 查询班组信息列表
export function getTeamMembers(query) {
  return request({
    url: '/mes/base/baseTeamMembers/getTeamMembers',
    method: 'get',
    params: query
  })
}
